﻿Imports System.Console

Module Module1
    Structure BuszJegy
        Dim sorszám, ülés, fel, le As Integer
    End Structure

    Const ár = 71
    Const vonalhossz = 8
    Dim jegyek(4) As BuszJegy

    Sub Main()
        Adatokbe()
        UtolsóJegyvásárló()
        Végigutazta()
        Bevétel()
        MegállókSzáma()
        UtolsóMegálló()
        ReadLine()
    End Sub

    Sub Adatokbe()
        jegyek(0).sorszám = 1 : jegyek(0).ülés = 1 : jegyek(0).fel = 0 : jegyek(0).le = 8
        jegyek(1).sorszám = 2 : jegyek(1).ülés = 2 : jegyek(1).fel = 0 : jegyek(1).le = 2
        jegyek(2).sorszám = 3 : jegyek(2).ülés = 3 : jegyek(2).fel = 0 : jegyek(2).le = 4
        jegyek(3).sorszám = 4 : jegyek(3).ülés = 2 : jegyek(3).fel = 4 : jegyek(3).le = 8
        jegyek(4).sorszám = 5 : jegyek(4).ülés = 3 : jegyek(4).fel = 6 : jegyek(4).le = 8
    End Sub

    Sub UtolsóJegyvásárló()
        WriteLine("Az utolsó jegyvásárló helye= " & jegyek.Last.ülés)
        WriteLine("   és az általa megtett út= " & jegyek.Last.le - jegyek.Last.fel)
        WriteLine()
    End Sub

    Sub Végigutazta()
        Dim q = From x In jegyek Where x.le - x.fel = vonalhossz Select x.sorszám

        Write("Az utat végigutazta= ")
        For Each x In q
            Write(x & " ")
        Next
        WriteLine()
        WriteLine()
    End Sub

    Sub Bevétel()
        Dim q = (From x In jegyek Select Int((x.le - x.fel) / 10 + 1) * ár).Sum
        WriteLine("A társaság bevétele (Ft)= " & q)
        WriteLine()

    End Sub

    Sub MegállókSzáma()
        Dim q = From x In jegyek Select x.fel
        Dim r = From x In jegyek Select x.le
        Dim u = (q.Union(r)).Count - 2
        WriteLine("A megállóhelyek száma= " & u)
        WriteLine()
    End Sub

    Sub UtolsóMegálló()
        Dim q = (From x In jegyek Where x.le <> vonalhossz Select x.le).Max
        Dim r = (From x In jegyek Select x.fel).Max
        Dim utolsó = Math.Max(q, r)

        Dim s = (From x In jegyek Where x.le = utolsó).Count
        WriteLine("Az utolsó megállóban leszállt (fő)= " & s)
        Dim t = (From x In jegyek Where x.fel = utolsó).Count
        WriteLine("Az utolsó megállóban felszállt (fő)= " & t)

    End Sub

End Module
